﻿function Update-ELHCConfig
{
    [CmdletBinding(SupportsShouldProcess=$true, 
                  PositionalBinding=$false,
                  ConfirmImpact='Medium')]
    [Alias()]
    [OutputType([PSOBJECT])]

    param (
        [Parameter(Mandatory=$false, Position=0)]
        [ValidateScript({ Test-Path -Path $_ -PathType File })]
        [string]$ConfigPath = (Get-InstalledModule -Name ELHealthCheck).installedlocation + "\ELHC.config"
    )
    
    #Placeholder function for updates to XML config file
    $TestInsertion = {
        [xml]$Config = Get-Content $ConfigPath
        $TestElement = $Config.CreateElement("TestElement")
        $TestElement.InnerText = "Test Element Value"
        $Config.root.AppendChild($TestElement)
        $Config.Save($ConfigPath)
    }

}